#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

if [ ! -e /etc/asterisk/ombutel/extensions__70-blfext.conf ]
then
    cp "$DIR/extensions__70-blfext.conf" "/etc/asterisk/ombutel/"
fi

cat > /etc/asterisk/ombutel/manager__90-blfext.conf <<-"EOF"
[blfext]
secret = blfext@5151TA_
deny = 0.0.0.0/0.0.0.0
permit = 127.0.0.1/255.255.255.0
read = all
write = all
EOF

asterisk -rx "manager reload"

echo "* Moving from $DIR to $INSTALLDIR"
cd $INSTALLDIR

dos2unix *.ini
dos2unix *.sh
dos2unix *.js
chmod +x import_hints.sh

echo "* Installing NPM dependencies"
npm install fs asterisk-manager http express

echo "* Moving from $INSTALLDIR to $DIR"
cd $DIR

cp "$DIR/blfext.service" "/etc/systemd/system/"
systemctl enable blfext
systemctl daemon-reload
