#!/bin/bash
PRODUCTNAME="blfext"
TMPDIR="/tmp/blfext"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=1

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    OLDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
NEWVERSION=$(head -n 1 "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)

systemctl stop blfext

echo "-- Updating from $MAJORVERSION.$OLDVERSION to $MAJORVERSION.$NEWVERSION"

#On va faire une boucle à partir de "ancienne version + 1" jusqu'a la derniere version incluse
i=$(($OLDVERSION+1))
if [ $OLDVERSION -eq $NEWVERSION ]
then
	i=$OLDVERSION;
	echo "-- Updating same version but different revision, reexecuting patch of $i"
fi

while [ $i -le $NEWVERSION ]
do
    echo "-- Executing patch $MAJORVERSION.$i"
    find "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i" -name '*' -exec dos2unix {} 2> /dev/null \;
    bash "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i/update.sh"
    i=$(($i+1))
done

echo "* Restoring some files"
if [ -e "$TMPDIR/conf.ini.old" ]
then
	mv -f "$TMPDIR/conf.ini.old" "$INSTALLDIR/$PRODUCTNAME/conf.ini"
fi
if [ -e "$TMPDIR/pbx.ini.old" ]
then
	mv -f "$TMPDIR/pbx.ini.old" "$INSTALLDIR/$PRODUCTNAME/pbx.ini"
fi

if [ $OLDVERSION > -1 ]
then
    echo "-- Resarting blfext"
    systemctl start blfext
else
    echo "-- Do not forget to edit configuration file pbx.ini and /etc/asterisk/ombutel/extensions__70-blfext.conf before starting service with systemctl start blfext."
    echo "you can run the script import_hints.sh to update this file."
fi

echo "$MAJORVERSION.$NEWVERSION" > "$IPCDIR/$PRODUCTNAME.ver"
echo "-- Update finished"

rm -rf "$TMPDIR"
exit